<?php

namespace CorpusParole\Providers;

use Illuminate\Support\ServiceProvider;

use Config;

use CorpusParole\Services\GeonamesResolver;


class GeonamesServiceProvider extends ServiceProvider
{

    /**
     * Register the application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind('CorpusParole\Services\GeonamesResolverInterface', function($app) {
            return new GeonamesResolver($app['Guzzle']);
        });
    }
}
